<div attr.id="{{'datatable_' + table?.id}}" class="datatable-container datatable-full-left">
  <div class="datatable-left datatable-title">
    <ng-content></ng-content>
  </div>
  <div class="datatable-right datatable-margin-left" *ngIf="(table?.rows?.length || 0) > 0">
    <span class="show-filters-margin">Filter By:</span>
    <select #filterSelect (change)="onFilterColumnChanged(filterSelect)">
      <option [value]="column.columnId" [selected]="column.columnId === table?.selectedFilterColumnId"
        *ngFor="let column of table?.allColumns">{{column.columnId.replace("_", " ")}}</option>
    </select>
    <span class="show-filters-margin">Filter:</span>
    <input type="text" class="filter-margin-bottom" #filterTextbox (keyup)="updateGrid(filterSelect.value, filterTextbox.value)" [value]="table?.filterText"/>
  </div>
  <div class="datatable-right datatable-margin-left" *ngIf="(table?.savedFilters?.length || 0) > 0">
    <span class="show-filters-margin">Saved Filters:</span>
    <select #savedFilterSelect (change)="onSavedFilterChanged(savedFilterSelect)">
      <option [value]="filter.id" [selected]="filter.id === table?.selectedSavedFilterId" *ngFor="let filter of table?.savedFilters">{{filter.name}}</option>
    </select>
  </div>
  <div class="datatable-right">
    <a href="" (click)="showFilters($event)" class="datatable-link">Show Filters</a>
  </div>
  <table class="datatable" style="padding-top: 5px;border: none;" *ngIf="(table?.rows?.length || 0) > 0">
    <thead>
      <tr>
        <th *ngFor="let column of table?.columns">
          <span (click)="updateGrid('', '', column)" class="pointer">{{column.columnId.replace("_", " ")}}</span>
        </th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let row of table?.displayedRows;let i = index;" [class]="i % 2 == 0 ? 'pointer' : 'datatable-alt-row pointer'">
        <td *ngFor="let column of table?.columns" (click)="cellClicked(column, row)">{{row[column.columnId]}}</td>
      </tr>
    </tbody>
  </table>
  <sixty-stone-pager [pager-params]="pagerParams"></sixty-stone-pager>
</div>
<div class="datatable datatable-full-left datatable-padding5" *ngIf="table?.rows?.length === 0">
  <span>No data</span>
</div>
<sixty-stone-dialog [dialog-params]="dialogParams">
  <div class="filter-display" *ngFor="let filter of table?.filters">
    <img src="assets/delete.gif" title="Delete filter" (click)="clearFilter(filter)"/>
    <span>{{filter.columnId.replace("_", " ") + ': ' + filter.filterText}}</span>
  </div>
  <div class="clear-all-button">
    <input type="button" value="Clear All" (click)="clearFilters()"/>
  </div>
</sixty-stone-dialog>
